al_open_fs_entry(3)

NAME

al_open_fs_entry - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_FILE *al_open_fs_entry(ALLEGRO_FS_ENTRY *e, const char *mode)

DESCRIPTION

Open an ALLEGRO_FILE(3) handle to a filesystem entry, for the given access mode. This is like calling al_fopen(3) with the name of the filesystem entry, but uses the appropriate file interface, not whatever was set with the latest call to al_set_new_file_interface(3).

Returns the handle on success, NULL on error.

SEE ALSO

al_fopen(3)